Package org.apache.lucene.queryparser.flexible.standard.nodes.intervalfn

## Class Before

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.nodes.intervalfn.IntervalFunction
  - - org.apache.lucene.queryparser.flexible.standard.nodes.intervalfn.Before

-     public class Before
      extends IntervalFunction

  Node that represents `Intervals.before(IntervalsSource, IntervalsSource)`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Before​(IntervalFunction source, IntervalFunction reference)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IntervalsSource` | `toIntervalSource​(String field, Analyzer analyzer)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Before

          public Before​(IntervalFunction source,
                        IntervalFunction reference)

  - ### Method Detail

    - #### toIntervalSource

          public IntervalsSource toIntervalSource​(String field,
                                                  Analyzer analyzer)

      Specified by:
        `toIntervalSource` in class `IntervalFunction`

    - #### toString

          public String toString()

      Specified by:
        `toString` in class `IntervalFunction`